using System;

internal sealed class Delegate799 : MulticastDelegate
{
	public extern float Invoke(object object_0);

	public static float smethod_0(object object_0, Delegate799 delegate799_1)
	{
		return delegate799_1(object_0);
	}

	public extern Delegate799(object object_0, IntPtr intptr_0);

	static Delegate799()
	{
		Class10.smethod_13(typeof(Delegate799).TypeHandle);
	}

	internal static Delegate799 delegate799_0;
}
